Uploaded image for project: 'Cassandra'
  1. Cassandra
  2. CASSANDRA-15873

Update Netty 4.0.44 -> 4.1.50 (fix security/performance issues)

Agile BoardAttach filesAttach ScreenshotAdd voteVotersWatch issueWatchersCreate sub-taskConvert to sub-taskMoveLinkCloneLabelsUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Task
    • Status: Open
    • Normal
    • Resolution: Unresolved
    • 3.11.x
    • Dependencies
    • None
    • Low Hanging Fruit
    • All
    • None
    • Hide

      TBD

      Show
      TBD

    Description

      See https://issues.apache.org/jira/browse/CASSANDRA-15868 for the same issue on 4.0 / trunk. Attached is an OWASP dependency report for Netty 4.0.44, which identifies 3 of the same vulnerabilities as above.

       

      Additionally, 4.1.50 contains aarch64 native libraries which can improve performance on ARM processors. 

       

      Attachments

        Issue Links

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            Unassigned Unassigned Assign to me
            mattsplat Matt Davis

            Dates

              Created:
              Updated:

              Issue deployment